BizKitHub
DocsAPI ReferenceDashboard/bff/dashboard/inactive-customers
getDashboardAdmin BFF

/bff/dashboard/inactive-customers

Identifies customers who have not ordered recently. Perfect input for reactivation campaigns and retention efforts.

DashboardgetBffDashboardInactive-customers

Parameters

1 query

Query parameters

· 1
inactiveDaysnumberOptional

Days without order to be considered inactive. Defaults to 90.

Default: 90
Example90

Response schema

1 status code documented

200SuccessInactive customers analysis.
summaryobjectRequired
totalCustomersnumberRequired

Total customers.

activeCustomersnumberRequired

Customers who ordered recently.

inactiveCustomersnumberRequired

Customers inactive for the threshold period.

inactivityRatenumberRequired

Inactivity rate (0-100%).

inactiveRevenuePotentialnumberRequired

Estimated revenue potential from reactivation.

bySegmentobject[]Required

Inactive customers by segment.

Each array item:
segmentstringRequired

Segment code.

segmentLabelstringRequired

Segment label.

customerCountnumberRequired

Customers in segment.

avgLifetimeValuenumberRequired

Average lifetime value.

avgOrdersnumberRequired

Average order count.

topInactiveCustomersobject[]Required

Top 20 inactive customers by value.

Each array item:
customerIdnumberRequired

Customer ID.

externalIdstringRequired

External customer ID.

customerNamestringRequired

Customer name.

emailstring | nullRequired
One of 2:
Variant 1
string

Customer e-mail. null for phone-only customers and anonymised contacts — UI should fall back to customerName or externalId.

Variant 2
null
lastOrderDatestringOptional

Last order date.

orderCountnumberRequired

Total orders.

totalSpentnumberRequired

Total amount spent.

currencystringRequired

Currency code.

Response example

application/json
{
  "summary": {
    "totalCustomers": 0,
    "activeCustomers": 0,
    "inactiveCustomers": 0,
    "inactivityRate": 0,
    "inactiveRevenuePotential": 0
  },
  "bySegment": [
    {
      "segment": "example_segment",
      "segmentLabel": "example_segmentLabel",
      "customerCount": 0,
      "avgLifetimeValue": 0,
      "avgOrders": 0
    }
  ],
  "topInactiveCustomers": [
    {
      "customerId": 0,
      "externalId": "example_externalId",
      "customerName": "example_customerName",
      "lastOrderDate": "example_lastOrderDate",
      "orderCount": 0,
      "totalSpent": 0
    }
  ],
  "currency": "example_currency"
}

Request example

GET /bff/dashboard/inactive-customers

get
curl -X GET "https://api.bizkithub.com/bff/dashboard/inactive-customers?inactiveDays=90" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key